Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037006
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-10-04 20:262017-10-11 08:28
ReportermarvintmView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision749f61091036
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037006: CancelLayaway operation should rebuild the cashup from server when working in synchronized mode

DescriptionCurrently, when working in synchronized mode, it is mandatory to rebuild the cashup information before a ticket is synchronized to the server.

This currently happens in common sales, and also in flows like Cancel and Replace. However, this doesn't currently happen in CancelLayaway flow, and it can lead to corrupted cashup data.
Steps To Reproduce- Enable synchronized mode.
- Create a layaway and click on "layaway" button.
- Load it back, and select "Cancel Layaway" from the menu. Then complete it.
- Realize that the cashup is never rebuilt from server, by looking at the network requests in Chrome dev tools. This is not correct.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099775)
migueldejuana (developer)
2017-10-05 12:25

Ensure that rebuild the cashup information is done in all processed!
(0099859)
hgbot (developer)
2017-10-11 08:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 749f610910368f17ca4e3d61f328edcf27aeeefe
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Oct 11 11:44:02 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/749f610910368f17ca4e3d61f328edcf27aeeefe [^]

Fixed issue 37006 : Cashup should be rebuild before processing cancel layaway

---
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---

- Issue History
Date Modified Username Field Change
2017-10-04 20:26 marvintm New Issue
2017-10-04 20:26 marvintm Assigned To => Retail
2017-10-04 20:26 marvintm Triggers an Emergency Pack => No
2017-10-05 12:25 migueldejuana Note Added: 0099775
2017-10-09 15:53 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-10-09 15:53 ranjith_qualiantech_com Status new => scheduled
2017-10-11 08:28 hgbot Checkin
2017-10-11 08:28 hgbot Note Added: 0099859
2017-10-11 08:28 hgbot Status scheduled => resolved
2017-10-11 08:28 hgbot Resolution open => fixed
2017-10-11 08:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/749f610910368f17ca4e3d61f328edcf27aeeefe [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker